body{
    min-width: 700px;
}
.controls{
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 20px;
    justify-content: center;
    position: relative;
    z-index: 10;
}
.point{
    width: 220px;
    margin: 5px;
    box-sizing: border-box;
    position: relative;
    padding: 5px 50px 25px;
    background-color: #eee;
    list-style-position: inside;
    font-size: 13px;
    font-weight: bold;
    transition: background-color 300ms ease-out;
}
.actpoint{
    background-color: rgba(71, 162, 218, 0.2);
}
.point > span{
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 10px;
    font-size: 10px;
    color: #24a777;
    cursor: pointer;
    width: 35px;
    line-height: 1.1;
    transition: opacity 300ms ease-out;
    opacity: 0.6;
}
.point > span:hover{
    opacity: 1;
}
.point > span > span{
    display: block;
    font-size: 16px;
    font-weight: bold;
}
.point > .removepoint{
    left: unset;
    right: 10px;
    color: #cc3333;
}
.point > .autopoint{
    transform: unset;
    left: 0;
    top: unset;
    bottom: 5px;
    width: 100%;
    color: #47a2da;
}
.point > .autopoint > span{
    display: inline-block;
    line-height: 10px;
    vertical-align: text-bottom;
}
.actpoint > .autopoint{
    opacity: 1;
}
.inputwrap{
    font-weight: 400;
    text-align: center;
}
.inputwrap label{
    font-size: 13px;
    display: inline-block;
    margin-bottom: 3px;
}
.inputwrap{
    box-sizing: border-box;
    padding: 5px 0;
}
.inputwrap input{
    width: 40px;
    text-align: right;
    border: none;
    padding: 5px;
    display: inline-block;
    margin-right: 3px;
}
.csshapewrap{
    width: 600px;
    height: 600px;
    margin-left: auto;
    margin-right: auto;
    position: relative;
    background-image: url(milimetre.png);
    background-position: center center;
    background-size: 100% 100%;
}
.csshape{
    opacity: 0.6;
    width: 100%;
    height: 100%;
    display: block;
    background-color: #47a2da;
    transition: all 300ms ease-out;
    clip-path: polygon(30% 0%, 70% 0%, 100% 30%, 100% 70%, 70% 100%, 30% 100%, 0% 70%, 0% 30%);
}
.mark{
    position: absolute;
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background-color: #000;
    font-size: 14px;
    transform: translate(-50%, -50%);
    transition: all 300ms ease-out;
    font-weight: 600;
} 
.actmark{
    background-color:#47a2da;
    border: 1px solid  #000;
}
.mark:nth-child(1){
    left: 30%;
    top: 0%;
}
.mark:nth-child(2){
    left: 70%;
    top: 0%;
}
.mark:nth-child(3){
    left: 100%;
    top: 30%;
}
.mark:nth-child(4){
    left: 100%;
    top: 70%;
}
.mark:nth-child(5){
    left: 70%;
    top: 100%;
}
.mark:nth-child(6){
    left: 30%;
    top: 100%;
}
.mark:nth-child(7){
    left: 0%;
    top: 70%;
}
.mark:nth-child(8){
    left: 0%;
    top: 30%;
}

.bottominfo,
.topinfo{
    position: relative;
    z-index: 10;
    font-size: 14px;
}
.bottominfo{
    margin-top: 30px;
}
.topinfo{
    margin-bottom: 30px;
}
.bottominfo > div{
    margin-top: 25px;
}
.topinfo > div > p,
.bottominfo > div > p{
    font-size: 13px;
    margin-bottom: 5px;
    color: #555;
}
.log span{
    color: #47a2da;
    font-weight: bold;
}

#mycanvas{
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    opacity: 0.6;
}
.areaheight input{
    width: 40px;
    text-align: right;
    padding: 5px;
    margin-right: 3px;
}